com::lomiri::location::DefaultProviderSelectionPolicy Class Reference

`#include <default_provider_selection_policy.h>`

Inheritance diagram for com::lomiri::location::DefaultProviderSelectionPolicy:
Collaboration diagram for com::lomiri::location::DefaultProviderSelectionPolicy:

## Public Member Functions

| DefaultProviderSelectionPolicy ()
| ~DefaultProviderSelectionPolicy () noexcept
ProviderSelection | determine_provider_selection_for_criteria (const Criteria &criteria, const ProviderEnumerator &enumerator)
Provider::Ptr | determine_position_updates_provider (const Criteria &criteria, const ProviderEnumerator &enumerator)
Provider::Ptr | determine_heading_updates_provider (const Criteria &criteria, const ProviderEnumerator &enumerator)
Provider::Ptr | determine_velocity_updates_provider (const Criteria &criteria, const ProviderEnumerator &enumerator)
Public Member Functions inherited from com::lomiri::location::ProviderSelectionPolicy
| ProviderSelectionPolicy (const ProviderSelectionPolicy &)=delete
ProviderSelectionPolicy & | operator= (const ProviderSelectionPolicy &)=delete
virtual | ~ProviderSelectionPolicy ()=default

## Additional Inherited Members

Public Types inherited from com::lomiri::location::ProviderSelectionPolicy
typedef std::shared_ptr< ProviderSelectionPolicy > | Ptr
Static Public Member Functions inherited from com::lomiri::location::ProviderSelectionPolicy
static const Provider::Ptr & | null_provider ()
Protected Member Functions inherited from com::lomiri::location::ProviderSelectionPolicy
| ProviderSelectionPolicy ()=default

## Detailed Description

Definition at line 29 of file default_provider_selection_policy.h.

## Constructor & Destructor Documentation

## DefaultProviderSelectionPolicy()

com::lomiri::location::DefaultProviderSelectionPolicy::DefaultProviderSelectionPolicy | ( |  | ) |

## ~DefaultProviderSelectionPolicy()

com::lomiri::location::DefaultProviderSelectionPolicy::~DefaultProviderSelectionPolicy | ( |  | ) |

noexcept

## Member Function Documentation

## determine_heading_updates_provider()

Provider::Ptr com::lomiri::location::DefaultProviderSelectionPolicy::determine_heading_updates_provider | ( | const Criteria & | criteria,
|  | const ProviderEnumerator & | enumerator )

References determine_heading_updates_provider().

Referenced by determine_heading_updates_provider().

Here is the call graph for this function:

## determine_position_updates_provider()

Provider::Ptr com::lomiri::location::DefaultProviderSelectionPolicy::determine_position_updates_provider | ( | const Criteria & | criteria,
|  | const ProviderEnumerator & | enumerator )

References determine_position_updates_provider().

Referenced by determine_position_updates_provider().

Here is the call graph for this function:

## determine_provider_selection_for_criteria()

ProviderSelection com::lomiri::location::DefaultProviderSelectionPolicy::determine_provider_selection_for_criteria | ( | const Criteria & | criteria,
|  | const ProviderEnumerator & | enumerator )

virtual

Implements com::lomiri::location::ProviderSelectionPolicy.

References determine_provider_selection_for_criteria().

Referenced by determine_provider_selection_for_criteria().

Here is the call graph for this function:

## determine_velocity_updates_provider()

Provider::Ptr com::lomiri::location::DefaultProviderSelectionPolicy::determine_velocity_updates_provider | ( | const Criteria & | criteria,
|  | const ProviderEnumerator & | enumerator )

References determine_velocity_updates_provider().

Referenced by determine_velocity_updates_provider().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- default_provider_selection_policy.h